[CRIU] [PATCH] test/rpc: use absolute path for logfile

Ruslan Kuprieiev kupruser at gmail.com
Sun Nov 10 18:48:04 PST 2013


Use absolute path, because only absolute paths are allowed to use with -d.

Signed-off-by: Ruslan Kuprieiev <kupruser at gmail.com>
---
 test/rpc/run.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/rpc/run.sh b/test/rpc/run.sh
index 7cc8c52..1abb2c5 100755
--- a/test/rpc/run.sh
+++ b/test/rpc/run.sh
@@ -37,7 +37,7 @@ cd build
 make -C ../ || { echo "FAIL"; exit 1; }
 
 title_print "Start service server"
-${CRIU} service -v4 -o service.log --address criu_service.socket -d --pidfile `pwd`/pidfile || { echo "FAIL"; exit 1; }
+${CRIU} service -v4 -o `pwd`/service.log --address criu_service.socket -d --pidfile `pwd`/pidfile || { echo "FAIL"; exit 1; }
 
 title_print "Run test-c"
 ../test-c || _exit $?
-- 
1.8.1.2



More information about the CRIU mailing list